source: trunk/dports/net/wap11gui/Portfile @ 139229

Last change on this file since 139229 was 139229, checked in by jeremyhu@…, 4 years ago

misc: Change port:openssl dependency to path:lib/libssl.dylib:openssl

This should allow usage of libressl as a replacement for openssl in relevant
ports. Not all ports have been tested, but libressl aims for API
compatibility with OpenSSL, so it is expected to work.

  • Property svn:eol-style set to native
  • Property svn:keywords set to Id
File size: 1.7 KB
Line 
1# $Id: Portfile 139229 2015-08-08 03:10:35Z jeremyhu@macports.org $
2
3PortSystem 1.0
4PortGroup app 1.0
5
6name                    wap11gui
7version                 0.12
8revision                15
9categories              net
10license                 GPL-2+
11maintainers             nomaintainer
12description             Linksys WAP11 Unix Configuration Utility
13long_description        QT based SNMP client you can use to configure a \
14                                        Linksys WAP11, similar to the one provided by the \
15                                        Linksys client.  Supports most of the WAP11's \
16                                        features.
17platforms               darwin
18homepage                http://wap11gui.sourceforge.net/
19master_sites    sourceforge
20checksums               md5 0fbf23ff6112d922daa984cf85871e53
21
22depends_lib             port:jpeg \
23                                port:net-snmp \
24                                port:libpng \
25                                path:include/qt3/private/qt_x11_p.h:qt3 \
26                                path:lib/libssl.dylib:openssl \
27                                port:zlib
28
29patchfiles              patch-configure \
30                                patch-Makefile.in \
31                                patch-wap11gui-Makefile.in \
32                                patch-wap11gui-wap11config.cpp
33
34platform darwin {
35        if {[file isfile ${prefix}/include/qt3/qt_mac.h] || \
36                ![file isfile ${prefix}/include/qt3/private/qt_x11_p.h]} {
37                depends_lib-delete      path:include/qt3/private/qt_x11_p.h:qt3
38                depends_lib-append      path:include/qt3/qt_mac.h:qt3-mac
39                supported_archs i386 ppc
40               
41                app.name                WAP11GUI
42                app.executable  ${worksrcpath}/${name}/${name}
43                app.icon                ${filespath}/wap11.icns
44               
45                post-destroot {
46                        delete ${destroot}${prefix}/bin/${name}
47                }
48        } else {
49                app.create              no
50        }
51
52        patchfiles-append       patch-admin-ltmain.sh \
53                                                patch-wap11gui-wap11config.h
54}
55
56configure.args  --with-extra-includes='${prefix}/include' \
57                                --with-extra-libs='${prefix}/lib' \
58                                --with-qt-dir='${prefix}' \
59                                --with-qt-includes='${prefix}/include/qt3' \
60                                --with-mibsdir=${prefix}/share/snmp/mibs \
61                                --without-xinerama \
62                                --disable-warnings \
63                                --disable-debug
64configure.cflags-append '-I${prefix}/include'
65configure.cxxflags-append '-I${prefix}/include'
Note: See TracBrowser for help on using the repository browser.